%define microversion 0.8.1

Name:           guichan
Version:        0.8.2
Release:        4%{?dist}
Summary:        Portable C++ GUI library for games using Allegro, SDL and OpenGL

Group:          Development/Libraries
License:        BSD
URL:            http://guichan.sourceforge.net
#Source0:        http://downloads.sourceforge.net/guichan/%{name}-%{version}.tar.gz
Source0:        http://guichan.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         guichan-0.8.1-extended-utf8-support.patch
#Patch1:         guichan-mircoversion.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  allegro-devel, SDL-devel, SDL_image-devel, libGL-devel

%description
Guichan is a small, efficient C++ GUI library designed for games. It comes
with a standard set of widgets and can use several different objects for 
displaying graphics and grabbing user input.

%package devel
Summary:        Header and libraries for guichan development
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
This package includes header and libraries files for development using
guichan, a small and efficient C++ GUI library designed for games. This
package is needed to build programs written using guichan.

%prep
%setup -q
%patch0 -p1
#%patch1 -p0


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Removing Libtool archives and static libraries
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/libguichan-%{microversion}.so.1
%{_libdir}/libguichan-%{microversion}.so.1.1.0
%{_libdir}/libguichan_allegro-%{microversion}.so.1
%{_libdir}/libguichan_allegro-%{microversion}.so.1.1.0
%{_libdir}/libguichan_opengl-%{microversion}.so.1
%{_libdir}/libguichan_opengl-%{microversion}.so.1.1.0
%{_libdir}/libguichan_sdl-%{microversion}.so.1
%{_libdir}/libguichan_sdl-%{microversion}.so.1.1.0

%files devel
%defattr(-,root,root,-)
%{_includedir}/guichan.hpp
%{_includedir}/guichan/
%{_libdir}/libguichan.so
%{_libdir}/libguichan_allegro.so
%{_libdir}/libguichan_opengl.so
%{_libdir}/libguichan_sdl.so
%{_libdir}/pkgconfig/guichan-0.8.pc
%{_libdir}/pkgconfig/guichan_opengl-0.8.pc
%{_libdir}/pkgconfig/guichan_sdl-0.8.pc


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 19 2012 Jon Ciesla <limburgher@gmail.com> - 0.8.2-3
- Revert microversion patch, BZ 804698.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri May 27 2011 Bruno Wolff III <bruno@wolff.to> - 0.8.2-1
- Upstream 0.8.2 http://mac.softpedia.com/progChangelog/Guichan-Changelog-47183.html
- Replace instance of incorrect hard coded micro version.
- Add pkgconfig files

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 31 2009 Wart <wart@kobold.org> 0.8.1-4
- Add patch for extended utf8 support (bz #549867)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jul  28 2008 Wart <wart@kobold.org> 0.8.1-1
- Update to 0.8.1

* Fri Apr  4 2008 Wart <wart@kobold.org> 0.7.1-1
- Update to 0.7.1

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6.1-3
- Autorebuild for GCC 4.3

* Tue Aug  21 2007 Wart <wart@kobold.org> 0.6.1-2
- Rebuild for gcc BUILDID

* Sat Apr  7 2007 Wart <wart@kobold.org> 0.6.1-1
- Update to 0.6.1
- Use better sf download url
- Remove BR: glut-devel as upstream no longer uses it.
- Add patch to add soname to shared libraries

* Wed Oct  4 2006 Hugo Cisneiros <hugo@devin.com.br> 0.5.0-1
- Upstream update
- Add freeglut-devel BR for the new release
- Removed unusued patches for this new version

* Wed Sep 13 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-3
- Rebuilt for FC6

* Sat Jun 10 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-2
- Using libGL-devel instead of mesa-libGL-devel in BuildRequires
- Put documentation under -devel instead of a whole -doc
- Touch "autoxxx" files to take out autoxxx commands use in devel
- Add proper location do doc files (/usr/share/doc/xxx/html)

* Fri Jun  9 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-1
- Initial RPM release
